Re: [greenstone-users] problem running greenstone

From John R. McPherson
DateFri, 24 Feb 2006 11:01:09 +1300
Subject Re: [greenstone-users] problem running greenstone
In-Reply-To (1140652671-43fcfa7fa823c-www-unl-edu-ar)
On Wed, Feb 22, 2006 at 08:57:51PM -0300, Francisco And€s Bressan wrote:
> Hello to all
> When I run the gli and open the demo collection appears the next errors
> how I can correct them?
> Thanks
> imposible deteminar los argumentos para el plugin
> DBPlug.pm
> PPTPlug.pm
> GAPlug.pm
> METSPlug.pm
...

Hi,
you haven't said which operating system you have, and which version
of greenstone you're using, but I'm guessing that you are using
a GNU/Linux OS, and you've downloaded the pre-built greenstone linux
binaries. Unfortunately this includes a binary version of perl's
Expat xml parser library, and this doesn't seem to always work on
different linux distros.

Please see the FAQ entry on this at
http://www.greenstone.org/cgi-bin/library?e=p-en-faq-utfZz-8&a=p&p=faqbuild#33

I'm in the process of making proper packages for the different
distributions but this requires some changes to the build process, and
I haven't finished these yet.

John McPherson